| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_A_ref

BOOST_PROTO_A_ref — Generates sequences like `A0 &, A1 &, ... AN-1 &` .

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_A_ref(N)

## Description

Intended for use with the `BOOST_PROTO_REPEAT()` and `BOOST_PROTO_LOCAL_ITERATE()` macros.

`BOOST_PROTO_A_ref(`N`)` generates sequences like:

    A0 &, A1 &, ... AN-1 &